
.inner-blob {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow: hidden;
    border-radius: 3rem;
}

/* TOP YELLOW */
.inner-blob-shape:nth-child(1) {
    position: absolute;
    top: 0;
    right: 16%;
    width: 15%;
    height: fit-content;
    display: none;
}

/* LEFT PINK */
.inner-blob-shape:nth-child(2) {
    position: absolute;
    display: none;
}

/* BOTTOM BLUE */
.inner-blob-shape:nth-child(3) {
    position: absolute;
    bottom: 0;
    left: 7.5%;
    width: 20%;
    height: fit-content;
    animation: animXR infinite 10s;
}

/* RIGHT GREEN */
.inner-blob-shape:nth-child(4) {
    position: absolute;
    top: 60.5%;
    right: 0;
    width: 10.5%;
    height: 15%;
    animation: animY infinite 10s;
}

/* LEFT GREEN */
.inner-blob-shape:nth-child(5) {
    position: absolute;
    top: 25%;
    left: 0;
    width: 10.5%;
    height: 15%;
    animation: animYR infinite 10s;
}

/* BOTTOM PINK */
.inner-blob-shape:nth-child(6) {
    position: absolute;
    bottom: 0;
    right: 12%;
    width: 15%;
    height: fit-content;
    animation: animY infinite 10s;
}

@media (min-width: 560px) {
    .inner-blob {
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        overflow: hidden;
        border-radius: 4rem;
    }

    /* TOP YELLOW */
    .inner-blob-shape:nth-child(1) {
        top: 0;
        right: 10%;
        width: 15%;
        height: fit-content;
        display: block;
        animation: animXR infinite 10s;
    }

    /* LEFT PINK */
    .inner-blob-shape:nth-child(2) {
        top: 65%;
        left: 0;
        width: 6.5%;
        height: 15%;
        display: block;
        animation: animYR infinite 10s;
    }

    /* BOTTOM BLUE */
    .inner-blob-shape:nth-child(3) {
        bottom: 0;
        left: 25%;
        width: 15%;
        height: fit-content;
        animation: animXR infinite 10s;
    }

    /* RIGHT GREEN */
    .inner-blob-shape:nth-child(4) {
        top: 55%;
        right: 0;
        width: 6.5%;
        height: 15%;
        animation: animY infinite 10s;
    }

    /* LEFT GREEN */
    .inner-blob-shape:nth-child(5) {
        top: 20%;
        left: 0;
        width: 6.5%;
        height: 15%;
        animation: animY infinite 10s;
    }

    /* BOTTOM PINK */
    .inner-blob-shape:nth-child(6) {
        bottom: 0;
        right: 28%;
        width: 15%;
        height: fit-content;
        animation: animY infinite 10s;
    }
}

@keyframes animY {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(25%);
    }
    100% {
        transform: translateY(0);
    }
}

@keyframes animYR {
    0% {
        transform: translateY(0);
    }
    50% {
        transform: translateY(-25%);
    }
    100% {
        transform: translateY(0);
    }
}

@keyframes animX {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(25%);
    }
    100% {
        transform: translateX(0);
    }
}

@keyframes animXR {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(-25%);
    }
    100% {
        transform: translateX(0);
    }
}